#pragma once
#include "ctrl_app_types.h"

void setLink(signal_gen_t *source_gen, signal_gen_t *dest_gen);
void setEnabled(signal_gen_t *gen);
void setDuty(signal_gen_t *gen);
void setWave(signal_gen_t *gen);
void setPhase(signal_gen_t *gen);
void setOfsset(signal_gen_t *gen);
void setAmplitude(signal_gen_t *gen);
void setFrequency(signal_gen_t *gen);
void GEN_init(signal_gen_t **signal_gen);